| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
VariableLengthDataLimits Struct Reference

Holds limits for variable-length data. More...

`#include <RTPSParticipantAllocationAttributes.hpp>`

## Public Member Functions

bool | operator== (const VariableLengthDataLimits &b) const

## Public Attributes

size_t | max_properties = 0
| Defines the maximum size (in octets) of properties data in the local or remote participant.
size_t | max_user_data = 0
| Defines the maximum size (in octets) of user data in the local or remote participant.
size_t | max_partitions = 0
| Defines the maximum size (in octets) of partitions data.
size_t | max_datasharing_domains = 0
| Defines the maximum size (in elements) of the list of data sharing domain IDs.

## Detailed Description

Holds limits for variable-length data.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const VariableLengthDataLimits & | b | ) | const

inline

## Member Data Documentation

## ◆ max_datasharing_domains

size_t max_datasharing_domains = 0

Defines the maximum size (in elements) of the list of data sharing domain IDs.

## ◆ max_partitions

size_t max_partitions = 0

Defines the maximum size (in octets) of partitions data.

## ◆ max_properties

size_t max_properties = 0

Defines the maximum size (in octets) of properties data in the local or remote participant.

## ◆ max_user_data

size_t max_user_data = 0

Defines the maximum size (in octets) of user data in the local or remote participant.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAllocationAttributes.hpp